# Interface ModelOptionsConfig

interface ModelOptionsConfig {
allowInvalid: boolean;
debounce: number | {};
getterSetter: boolean;
updateOn: string;
updateOnDefault: boolean;
}

- Defined in directive/model-options/model-options.js:6

#####
Index

### Properties

allowInvalid
debounce
getterSetter
updateOn
updateOnDefault

##
Properties

### allowInvalid

allowInvalid: boolean

Indicates whether the model can be set with values that did not validate correctly. Defaults to false, which sets the model to undefined on validation failure.

- Defined in directive/model-options/model-options.js:9

### debounce

debounce: number | {}

An integer specifying the debounce time in milliseconds. A value of 0 triggers an immediate update. If an object is supplied, custom debounce values can be set for each event.

- Defined in directive/model-options/model-options.js:8

### getterSetter

getterSetter: boolean

Determines whether to treat functions bound to `ngModel` as getters/setters. Defaults to false.

- Defined in directive/model-options/model-options.js:10

### updateOn

updateOn: string

A string specifying which events the input should be bound to. Multiple events can be set using a space-delimited list. The special event 'default' matches the default events belonging to the control.

- Defined in directive/model-options/model-options.js:7

### updateOnDefault

updateOnDefault: boolean

- Defined in directive/model-options/model-options.js:11